Package ghidra.util.graph

# Interface KeyIndexableSet<T extends KeyedObject>

@Deprecated(since="10.2") public interface KeyIndexableSet<T extends KeyedObject>
Deprecated.
Interface for sets of graph objects which have keys such as vertices and edges.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(T o)`
  Deprecated.
  Adds a KeyedObject to this KeyIndexableSet.
  `int`
  `capacity()`
  Deprecated.
  Returns the number of KeyedObjects this KeyIndexableSet can hold without growing.
  `boolean`
  `contains(T o)`
  Deprecated.
  Returns true if this KeyIndexableSet contains the specified KeyedObject.
  `T`
  `getKeyedObject(long key)`
  Deprecated.
  Returns the KeyedObject with the specified key in this KeyIndexableSet.
  `long`
  `getModificationNumber()`
  Deprecated.
  The modification number is a counter for the number of changes the KeyIndexableSet has undergone since its creation.
  `GraphIterator<T>`
  `iterator()`
  Deprecated.
  Returns an iterator for this KeyIndexableSet which uses the hasNext()/next() style.
  `boolean`
  `remove(T o)`
  Deprecated.
  Remove a KeyedObject from this KeyIndexableSet.
  `int`
  `size()`
  Deprecated.
  Returns the number of KeyedObjects in this KeyIndexableSet
  `T[]`
  `toArray()`
  Deprecated.
  Returns the elements of this KeyIndexableSet as an array of KeyedObjects.

- ## Method Details

  - ### getModificationNumber

    long getModificationNumber()
    Deprecated.
    The modification number is a counter for the number of changes the KeyIndexableSet has undergone since its creation.

  - ### size

    int size()
    Deprecated.
    Returns the number of KeyedObjects in this KeyIndexableSet

  - ### capacity

    int capacity()
    Deprecated.
    Returns the number of KeyedObjects this KeyIndexableSet can hold without growing.

  - ### add

    boolean add(T o)
    Deprecated.
    Adds a KeyedObject to this KeyIndexableSet. The set will increase in capacity if needed.
    Returns:
      true if the KeyedObject was successfully added. Returns false if the KeyedObject is null or already in the KeyIndexableSet or addition fails for some other reason.

  - ### remove

    boolean remove(T o)
    Deprecated.
    Remove a KeyedObject from this KeyIndexableSet.
    Returns:
      true if the KeyedObject was sucessfully removed. Returns false if the KeyedObject was not in the KeyIndexablrSet.

  - ### contains

    boolean contains(T o)
    Deprecated.
    Returns true if this KeyIndexableSet contains the specified KeyedObject.

  - ### iterator

    GraphIterator<T> iterator()
    Deprecated.
    Returns an iterator for this KeyIndexableSet which uses the hasNext()/next() style. See GraphIterator.

  - ### toArray

    T[] toArray()
    Deprecated.
    Returns the elements of this KeyIndexableSet as an array of KeyedObjects.

  - ### getKeyedObject

    T getKeyedObject(long key)
    Deprecated.
    Returns the KeyedObject with the specified key in this KeyIndexableSet. Returns null if the Set contains no object with that key.